> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Billing Checkout



## OpenAPI

````yaml /openapi.json post /v1/organizations/{organization_id}/billing/checkout
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/organizations/{organization_id}/billing/checkout:
    post:
      summary: Billing Checkout
      operationId: >-
        billing_checkout_v1_organizations__organization_id__billing_checkout_post
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            title: Organization Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BillingCheckoutRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedBillingCheckout'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    BillingCheckoutRequest:
      additionalProperties: false
      properties:
        plan_id:
          title: Plan Id
          type: string
        success_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Success Url
      required:
        - plan_id
      title: BillingCheckoutRequest
      type: object
    HostedBillingCheckout:
      additionalProperties: false
      properties:
        url:
          title: Url
          type: string
      required:
        - url
      title: HostedBillingCheckout
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````